Skip to main content
`Ctrl`+`K`

# MatSeqAIJRestoreArrayWrite

restore the read-only access array obtained from MatSeqAIJGetArrayRead

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJRestoreArrayWrite(Mat A, PetscScalar *array[])

Not Collective; No Fortran Support

## Input Parameter

- A - a MATSEQAIJ matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MatSeqAIJGetArray()`, `MatSeqAIJGetArrayRead()`

## Level

intermediate

## Location

src/mat/impls/aij/seq/aij.c

## Implementations

MatSeqAIJRestoreArrayWrite_SeqAIJKokkos() in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatSeqAIJRestoreArrayWrite_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatSeqAIJRestoreArrayWrite_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.c
MatSeqAIJRestoreArrayWrite_SeqAIJViennaCL() in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages